% Constructs a modified Hann window of length N with exponent alpha
% Returns the analysis window in wa and the synthesis window in ws

function [wa, ws] = FracHannWin (N, alpha)

    n = 0.5:(N-0.5); % Create the time signal of length N used for the window
    w = sin(pi*n/N)' .^ 2; % Create the window
    wa = w.^alpha; % Construct the analysis window
    ws = w.^(1-alpha); % Construct the synsthesis window

return