% Computes the parameters a and d based on the two matrices dLevel and
% dTime. 
function [a, d] = computeParams(dLevel, dTime, thres)
    
    % Assumption: dLevel and dTime are highly correlated for the same
    % source
    % ==> see the data points to cluster as 2D vectors (dLevel, dTime)
    
    % Create the data points to cluster
    levels = dLevel(:);
    times = dTime(:);
    points = zeros(size(levels,1), 2);
    points(:,1) = levels;
    points(:,2) = times;
    
    % Cluster the data
    t = clusterdata(points, thres);
    
    % Get the center points of each cluster
    a = zeros(max(t), 1);
    d = zeros(max(t), 1);
    for i=1:max(t)
        a(i) = mean(levels(t==i));
        d(i) = mean(times(t==i));
    end