% Computes the likelyhood that the signal in the left and right time-frequency 
% bin (leftBin, rightBin) as been produced by a source with parameters a
% and d where a is the difference in the signal level between the two sides
% (20*log10(a) = -ILD) and d is the interaural time difference. M is the
% length of the discrete fourier transform. 
% Note that leftBin and rightBin are two scalars

function p = maxLikelyhood(leftBin, rightBin, m, a, d, M)
    exponent = -1/(2*(1+a^2))*abs(a*exp(-1j*2*pi*m*d/M)*leftBin-rightBin)^2;
    p = 1/(2*pi)^exponent;