function signal = unwindowSignal(amplitude, phase, overlap, alpha)

[nbFrames, windowLength] = size(amplitude);
[foo, ws] = FracHannWin(windowLength, alpha);

xm = NaN(nbFrames, windowLength);

% Do the inverse FFT for all slices
for n = 1:nbFrames
    xm(n, :) = iwfft(amplitude(n,:), phase(n,:), ws);
end

% Reassemble the signal, generate the outputs
signal = unBuffer(xm', overlap);