% Perform a windowed fft. The input signal is first windowed using the
% weights specified in window and then the fft is taken. 
% Returned are the FFT in X as well as the amplitude and phase of the
% signal in XA and XP respectively.

function [X, XA, XP] = wfft (signal, window)

    xw = window .* signal; % Window the data
    X = fft(xw); % Perform the fourier transform
    XA = abs(X); % Take the absolute value to get the amplitude
    XP = atan2(imag(X), real(X)); % Get the phase

return