% Generate test sequence
t = 0:0.01:50;
f = 2;
testSeq = sin(2*pi*f*t);

% Define additional parameters
windowLength = 64;
overlap = 0.5;
alpha = 0.5;

% Perform the windowing
windowed = windowSignal(testSeq, windowLength, overlap, alpha);
amplitude = abs(windowed);
phase = atan2(imag(windowed), real(windowed));

% Unwindow to get back the original signal
testSeqPrime = unwindowSignal(amplitude, phase, overlap, alpha)';
testSeqPrime = testSeqPrime(1:size(testSeq,2));

% Plot should contain only zeros
figure('name', 'Error');
plot(testSeqPrime-testSeq);
hold on;
plot(testSeq);
plot(testSeqPrime)